<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'assetdocs',

    /*
     * Package.
     */
    'package'   => 'company',

    /*
     * Modules.
     */
    'modules'   => ['company'],

    /*
     * Image size.
     */
    'image'    => [
        'xs' => [
            'width'     => '60',
            'height'    => '45',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'sm' => [
            'width'     => '160',
            'height'    => '120',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'md' => [
            'width'     => '460',
            'height'    => '345',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'lg' => [
            'width'     => '800',
            'height'    => '600',
            'action'    => 'resize',
            'watermark' => 'img/logo/default.png',
        ],
        'xl' => [
            'width'     => '1000',
            'height'    => '750',
            'action'    => 'resize',
            'watermark' => 'img/logo/default.png',
        ],
    ],

    'company'       => [
        'model'             => 'Assetdocs\Company\Models\Company',
        'table'             => 'companies',
        'presenter'         => \Assetdocs\Company\Repositories\Presenter\CompanyItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'upload_folder', 'id',  'user_id',  'name',  'code',  'description',  'slug',  'address_line1',  'address_line2',  'street',  'city',  'district',  'state',  'country',  'zip_code',  'phone',  'email',  'currency',  'exchange_rate',  'status',  'created_at',  ')',  'updated_at',  'deleted_at'],
        'translate'         => ['id',  'user_id',  'name',  'code',  'description',  'slug',  'address_line1',  'address_line2',  'street',  'city',  'district',  'state',  'country',  'zip_code',  'phone',  'email',  'currency',  'exchange_rate',  'status',  'created_at',  ')',  'updated_at',  'deleted_at'],

        'upload-folder'     => '/uploads/company/company',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
