<?php

use Illuminate\Database\Migrations\Migration;

class CreateCompaniesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: companies
         */
        Schema::create('companies', function ($table) {
            $table->increments('id');
            $table->string('name', 255)->nullable();
            $table->string('code', 255)->nullable();
            $table->text('description')->nullable();
            $table->string('address_line1', 255)->nullable();
            $table->string('address_line2', 255)->nullable();
            $table->string('street', 255)->nullable();
            $table->string('city', 255)->nullable();
            $table->string('district', 255)->nullable();
            $table->string('state', 255)->nullable();
            $table->string('country', 255)->nullable();
            $table->integer('zip_code')->nullable();
            $table->string('phone', 255)->nullable();
            $table->string('email', 255)->nullable();
            $table->string('currency', 255)->nullable();
            $table->double('exchange_rate', 50)->nullable();
            $table->enum('status', ['Hide','Show'])->nullable();
            $table->package::package.fieldtype.ON(')')->nullable();
            $table->string('slug', 200)->nullable();
            $table->enum('status', ['draft', 'published', 'hidden', 'suspended', 'spam'])->default('draft')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('companies');
    }
}
