@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('company::company.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('company::company.names') !!}</small>
@stop

@section('title')
{!! trans('company::company.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('company::company.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='company-company-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="company-company-list" class="table table-striped table-bordered data-table">
    <thead  class="list_head">
        <th>{!! trans('company::company.label.name')!!}</th>
        <th>{!! trans('company::company.label.code')!!}</th>
        <th>{!! trans('company::company.label.description')!!}</th>
        <th>{!! trans('company::company.label.address_line1')!!}</th>
        <th>{!! trans('company::company.label.address_line2')!!}</th>
        <th>{!! trans('company::company.label.street')!!}</th>
        <th>{!! trans('company::company.label.city')!!}</th>
        <th>{!! trans('company::company.label.district')!!}</th>
        <th>{!! trans('company::company.label.state')!!}</th>
        <th>{!! trans('company::company.label.country')!!}</th>
        <th>{!! trans('company::company.label.zip_code')!!}</th>
        <th>{!! trans('company::company.label.phone')!!}</th>
        <th>{!! trans('company::company.label.email')!!}</th>
        <th>{!! trans('company::company.label.currency')!!}</th>
        <th>{!! trans('company::company.label.exchange_rate')!!}</th>
        <th>{!! trans('company::company.label.)')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::text('search[name]')->raw()!!}</th>
        <th>{!! Form::text('search[code]')->raw()!!}</th>
        <th>{!! Form::text('search[description]')->raw()!!}</th>
        <th>{!! Form::text('search[address_line1]')->raw()!!}</th>
        <th>{!! Form::text('search[address_line2]')->raw()!!}</th>
        <th>{!! Form::text('search[street]')->raw()!!}</th>
        <th>{!! Form::text('search[city]')->raw()!!}</th>
        <th>{!! Form::text('search[district]')->raw()!!}</th>
        <th>{!! Form::text('search[state]')->raw()!!}</th>
        <th>{!! Form::text('search[country]')->raw()!!}</th>
        <th>{!! Form::numeric('search[zip_code]')->raw()!!}</th>
        <th>{!! Form::text('search[phone]')->raw()!!}</th>
        <th>{!! Form::text('search[email]')->raw()!!}</th>
        <th>{!! Form::text('search[currency]')->raw()!!}</th>
        <th>{!! Form::decimal('search[exchange_rate]')->raw()!!}</th>
        <th>{!! Form::package::package.formcontrols.ON('search[)]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#company-company-entry', '{!!trans_url('admin/company/company/0')!!}');
    oTable = $('#company-company-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/company/company') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#company-company-list .search_bar input, #company-company-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'name'},
                    {data :'code'},
                    {data :'description'},
                        {data :'address_line1'},
                    {data :'address_line2'},
                    {data :'street'},
                    {data :'city'},
                    {data :'district'},
                    {data :'state'},
                    {data :'country'},
                    {data :'zip_code'},
                    {data :'phone'},
                    {data :'email'},
                    {data :'currency'},
                    {data :'exchange_rate'},
                            {data :')'},
        ],
        "pageLength": 25
    });

    $('#company-company-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#company-company-list').DataTable().row( this ).data();

        $('#company-company-entry').load('{!!trans_url('admin/company/company')!!}' + '/' + d.id);
    });

    $("#company-company-list .search_bar input, #company-company-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

